Subject: help needed - transition from 32bits to 64bits
From: gh via Cygwin <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 15 Jun 2023 12:15:00 +0200
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

Dear all,

Sorry if this question was already answered somewhere in the FAQ.

I am running a deprecated 32bits version, and want to switch to 64bits. Install procedure is easy, but does not cover one thing : I
would like to preserve the list of packages I have installed, and minimize the change of paths in my windows environment (did not
change anything for the last 10 years, so I don't want to dig into where are things).

Currently, cygwin is in C:\cygwin, which I have moved to C:\cygwin-bck. I then want to install in the now almost empty C:\cygwin,
but copying there the necessary config files so that setup-x86_64.exe knows which packages to download.

Thanks in advance,

Gilbert

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple